const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const research_results = sequelize.define(
    'research_results',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

relevance_score: {
        type: DataTypes.DECIMAL,
      
      

      },

snippet: {
        type: DataTypes.TEXT,
      
      

      },

rule_statement: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  research_results.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity































//end loop



    db.research_results.belongsTo(db.research_queries, {
      as: 'research_query',
      foreignKey: {
        name: 'research_queryId',
      },
      constraints: false,
    });

    db.research_results.belongsTo(db.legal_sources, {
      as: 'legal_source',
      foreignKey: {
        name: 'legal_sourceId',
      },
      constraints: false,
    });




    db.research_results.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.research_results.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return research_results;
};


